Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mapping
Class Mapping

    java.lang.Object
      java.lang.Thread
          org.pentaho.di.trans.step.BaseStep
              org.pentaho.di.trans.steps.mapping.Mapping

All Implemented Interfaces:
  Runnable, org.pentaho.di.core.variables.VariableSpace, StepInterface

    public class Mapping

extends BaseStep
implements StepInterface

Execute a mapping: a re-usuable transformation

Since:
  22-nov-2005
Author:
  Matt

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.pentaho.di.trans.step.BaseStep
`category_order, errorRowSet, first, init, inputRowSets, linesInput, linesOutput, linesRead, linesRejected, linesSkipped, linesUpdated, linesWritten, outputRowSets, paused, remoteInputSteps, remoteOutputSteps, statusDesc, steps, stopped, terminator, terminator_rows, thr, waiting`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Mapping(StepMeta stepMeta, StepDataInterface stepDataInterface, int copyNr, TransMeta transMeta, Trans trans)`

Method Summary
`static void` | `addInputRenames(List<MappingValueRename> renameList, List<MappingValueRename> addRenameList)`
`void` | `addRowListener(RowListener rowListener)` For preview of the main data path, make sure we pass the row listener down to the Mapping Output step...
`void` | `dispose(StepMetaInterface smi, StepDataInterface sdi)` Dispose of this step: close files, empty logs, etc.
`long` | `getLinesInput()`
`long` | `getLinesOutput()`
`long` | `getLinesRead()`
`long` | `getLinesRejected()`
`long` | `getLinesUpdated()`
`long` | `getLinesWritten()`
`Trans` | `getMappingTrans()`
`boolean` | `init(StepMetaInterface smi, StepDataInterface sdi)` Initialise and do work where other steps need to wait for...
`void` | `prepareMappingExecution()`
`boolean` | `processRow(StepMetaInterface smi, StepDataInterface sdi)` Process a single row.
`int` | `rowsetInputSize()`
`int` | `rowsetOutputSize()`
`void` | `run()` Run is where the action happens in a step...
`void` | `stopAll()` Flags all rowsets as stopped/completed/finished.
`void` | `stopRunning(StepMetaInterface stepMetaInterface, StepDataInterface stepDataInterface)` Perform actions to stop a running step.

Methods inherited from class org.pentaho.di.trans.step.BaseStep
`addResultFile, addStepListener, buildLog, cleanup, copyVariablesFrom, decrementLinesRead, decrementLinesWritten, dispatch, environmentSubstitute, environmentSubstitute, findInputRowSet, findInputRowSet, findOutputRowSet, findOutputRowSet, getBooleanValueOfVariable, getClusterSize, getCopy, getDispatcher, getErrorRowMeta, getErrors, getIconFilename, getInputRowMeta, getInputRowSets, getLinesSkipped, getLogFields, getNextClassNr, getOutputRowSets, getParentVariableSpace, getPartitionID, getPartitionTargets, getPreviewRowMeta, getProcessed, getRepartitioning, getResultFiles, getRow, getRowFrom, getRowListeners, getRuntime, getServerSockets, getSlaveNr, getSocketRepository, getStatus, getStatusDescription, getStepDataInterface, getStepID, getStepInfo, getStepListeners, getStepMeta, getStepMetaInterface, getStepname, getThread, getTrans, getTransMeta, getTypeId, getUniqueStepCountAcrossSlaves, getUniqueStepNrAcrossSlaves, getVariable, getVariable, incrementLinesInput, incrementLinesOutput, incrementLinesRead, incrementLinesRejected, incrementLinesSkipped, incrementLinesUpdated, incrementLinesWritten, initBeforeStart, initializeVariablesFrom, injectVariables, isDistributed, isInitialising, isMapping, isPartitioned, isPaused, isSafeModeEnabled, isStopped, isUsingThreadPriorityManagment, listVariables, logBasic, logDebug, logDetailed, logError, logError, logMinimal, logRowlevel, logSummary, markStart, markStop, outputIsDone, pauseRunning, putError, putRow, putRowTo, removeRowListener, resumeRunning, runStepThread, safeModeChecking, setCopy, setDistributed, setErrorRowMeta, setErrors, setInputRowMeta, setInputRowSets, setInternalVariables, setLinesInput, setLinesOutput, setLinesRead, setLinesRejected, setLinesSkipped, setLinesUpdated, setLinesWritten, setOutputDone, setOutputRowSets, setParentVariableSpace, setPartitioned, setPartitionID, setPartitionTargets, setPaused, setPaused, setPreviewRowMeta, setRepartitioning, setSafeModeEnabled, setServerSockets, setSocketRepository, setStepDataInterface, setStepListeners, setStepMeta, setStepMetaInterface, setStepname, setStopped, setStopped, setTransMeta, setUsingThreadPriorityManagment, setVariable, shareVariablesWith, stopRunning, toString`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepInterface
`addStepListener, cleanup, getCopy, getErrors, getInputRowSets, getOutputRowSets, getPartitionID, getRow, getRowListeners, getStepID, getStepMeta, getStepname, initBeforeStart, isAlive, isMapping, isPartitioned, isStopped, markStart, markStop, pauseRunning, putRow, removeRowListener, resumeRunning, setErrors, setLinesRejected, setOutputDone, setPartitionID, start`

Constructor Detail

### Mapping

    public Mapping(StepMeta stepMeta,
                   StepDataInterface stepDataInterface,
                   int copyNr,
                   TransMeta transMeta,
                   Trans trans)

Method Detail

### processRow

    public boolean processRow(StepMetaInterface smi,
                              StepDataInterface sdi)
                       throws org.pentaho.di.core.exception.KettleException

  Process a single row. In our case, we send one row of data to a piece of transformation. In the transformation, we look up the MappingInput step to send our rows to it. As a consequence, for the time being, there can only be one MappingInput and one MappingOutput step in the Mapping.

  Specified by:
    `processRow` in interface `StepInterface`
  Overrides:
    `processRow` in class `BaseStep`
  Parameters:
    `smi` - The metadata to work with
    `sdi` - The temporary working data to work with (database connections, resultsets, caches, temporary variables, etc.)
  Returns:
    false if no more rows can be processed or an error occurred.
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### prepareMappingExecution

    public void prepareMappingExecution()
                                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### addInputRenames

    public static void addInputRenames(List<MappingValueRename> renameList,
                                       List<MappingValueRename> addRenameList)

### init

    public boolean init(StepMetaInterface smi,
                        StepDataInterface sdi)

  Description copied from interface: `StepInterface`
  Initialise and do work where other steps need to wait for...

  Specified by:
    `init` in interface `StepInterface`
  Overrides:
    `init` in class `BaseStep`
  Parameters:
    `smi` - The metadata to work with
    `sdi` - The data to initialize

### dispose

    public void dispose(StepMetaInterface smi,
                        StepDataInterface sdi)

  Description copied from interface: `StepInterface`
  Dispose of this step: close files, empty logs, etc.

  Specified by:
    `dispose` in interface `StepInterface`
  Overrides:
    `dispose` in class `BaseStep`
  Parameters:
    `smi` - The metadata to work with
    `sdi` - The data to dispose of

### stopRunning

    public void stopRunning(StepMetaInterface stepMetaInterface,
                            StepDataInterface stepDataInterface)
                     throws org.pentaho.di.core.exception.KettleException

  Description copied from class: `BaseStep`
  Perform actions to stop a running step. This can be stopping running SQL queries (cancel), etc. Default it doesn't do anything.

  Specified by:
    `stopRunning` in interface `StepInterface`
  Overrides:
    `stopRunning` in class `BaseStep`
  Parameters:
    `stepMetaInterface` - The metadata that might be needed by the step to stop running.
    `stepDataInterface` - The interface to the step data containing the connections, resultsets, open files, etc.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong

### stopAll

    public void stopAll()

  Description copied from interface: `StepInterface`
  Flags all rowsets as stopped/completed/finished.

  Specified by:
    `stopAll` in interface `StepInterface`
  Overrides:
    `stopAll` in class `BaseStep`

### run

    public void run()

  Description copied from interface: `StepInterface`
  Run is where the action happens in a step...

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in interface `StepInterface`
  Overrides:
    `run` in class `Thread`

### getLinesInput

    public long getLinesInput()

  Specified by:
    `getLinesInput` in interface `StepInterface`
  Overrides:
    `getLinesInput` in class `BaseStep`
  Returns:
    Returns the number of lines read from an input source: database, file, socket, etc.

### getLinesOutput

    public long getLinesOutput()

  Specified by:
    `getLinesOutput` in interface `StepInterface`
  Overrides:
    `getLinesOutput` in class `BaseStep`
  Returns:
    Returns the number of lines written to an output target: database, file, socket, etc.

### getLinesRead

    public long getLinesRead()

  Specified by:
    `getLinesRead` in interface `StepInterface`
  Overrides:
    `getLinesRead` in class `BaseStep`
  Returns:
    Returns the number of lines read from previous steps

### getLinesRejected

    public long getLinesRejected()

  Specified by:
    `getLinesRejected` in interface `StepInterface`
  Overrides:
    `getLinesRejected` in class `BaseStep`
  Returns:
    the number of lines rejected to an error handling step

### getLinesUpdated

    public long getLinesUpdated()

  Specified by:
    `getLinesUpdated` in interface `StepInterface`
  Overrides:
    `getLinesUpdated` in class `BaseStep`
  Returns:
    Returns the number of lines updated in an output target: database, file, socket, etc.

### getLinesWritten

    public long getLinesWritten()

  Specified by:
    `getLinesWritten` in interface `StepInterface`
  Overrides:
    `getLinesWritten` in class `BaseStep`
  Returns:
    Returns the linesWritten.

### rowsetInputSize

    public int rowsetInputSize()

  Overrides:
    `rowsetInputSize` in class `BaseStep`

### rowsetOutputSize

    public int rowsetOutputSize()

  Overrides:
    `rowsetOutputSize` in class `BaseStep`

### getMappingTrans

    public Trans getMappingTrans()

### addRowListener

    public void addRowListener(RowListener rowListener)

  For preview of the main data path, make sure we pass the row listener down to the Mapping Output step...

  Specified by:
    `addRowListener` in interface `StepInterface`
  Overrides:
    `addRowListener` in class `BaseStep`
  Parameters:
    `rowListener` - the rowlistener to add

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD